use Test::More qw(no_plan);

use utf8;
use encoding 'utf-8';
use Lingua::RU::Numeric::Declension 'numdecl';

my @forms = qw(попугай попугая попугаев);

my @results = (
	'0 попугаев',
	'1 попугай',
	'2 попугая',
	'3 попугая',
	'4 попугая',
	'5 попугаев',
	'6 попугаев',
	'7 попугаев',
	'8 попугаев',
	'9 попугаев',
	'10 попугаев',
	'11 попугаев',
	'12 попугаев',
	'13 попугаев',
	'14 попугаев',
	'15 попугаев',
	'16 попугаев',
	'17 попугаев',
	'18 попугаев',
	'19 попугаев',
	'20 попугаев',
	'21 попугай',
	'22 попугая',
	'23 попугая',
	'24 попугая',
	'25 попугаев',
	'26 попугаев',
	'27 попугаев',
	'28 попугаев',
	'29 попугаев',
	'30 попугаев',
	'31 попугай',
	'32 попугая',
	'33 попугая',
	'34 попугая',
	'35 попугаев',
	'36 попугаев',
	'37 попугаев',
	'38 попугаев',
	'39 попугаев',
	'40 попугаев',
	'41 попугай',
	'42 попугая',
	'43 попугая',
	'44 попугая',
	'45 попугаев',
	'46 попугаев',
	'47 попугаев',
	'48 попугаев',
	'49 попугаев',
	'50 попугаев',
	'51 попугай',
	'52 попугая',
	'53 попугая',
	'54 попугая',
	'55 попугаев',
	'56 попугаев',
	'57 попугаев',
	'58 попугаев',
	'59 попугаев',
	'60 попугаев',
	'61 попугай',
	'62 попугая',
	'63 попугая',
	'64 попугая',
	'65 попугаев',
	'66 попугаев',
	'67 попугаев',
	'68 попугаев',
	'69 попугаев',
	'70 попугаев',
	'71 попугай',
	'72 попугая',
	'73 попугая',
	'74 попугая',
	'75 попугаев',
	'76 попугаев',
	'77 попугаев',
	'78 попугаев',
	'79 попугаев',
	'80 попугаев',
	'81 попугай',
	'82 попугая',
	'83 попугая',
	'84 попугая',
	'85 попугаев',
	'86 попугаев',
	'87 попугаев',
	'88 попугаев',
	'89 попугаев',
	'90 попугаев',
	'91 попугай',
	'92 попугая',
	'93 попугая',
	'94 попугая',
	'95 попугаев',
	'96 попугаев',
	'97 попугаев',
	'98 попугаев',
	'99 попугаев',
	'100 попугаев',
	'101 попугай',
	'102 попугая',
	'103 попугая',
	'104 попугая',
	'105 попугаев',
	'106 попугаев',
	'107 попугаев',
	'108 попугаев',
	'109 попугаев',
	'110 попугаев',
	'111 попугаев',
	'112 попугаев',
	'113 попугаев',
	'114 попугаев',
	'115 попугаев',
	'116 попугаев',
	'117 попугаев',
	'118 попугаев',
	'119 попугаев',
	'120 попугаев',
	'121 попугай',
	'122 попугая',
	'123 попугая',
	'124 попугая',
	'125 попугаев',
	'126 попугаев',
	'127 попугаев',
	'128 попугаев',
	'129 попугаев',
	'130 попугаев',
	'131 попугай',
	'132 попугая',
	'133 попугая',
	'134 попугая',
	'135 попугаев',
	'136 попугаев',
	'137 попугаев',
	'138 попугаев',
	'139 попугаев',
	'140 попугаев',
	'141 попугай',
	'142 попугая',
	'143 попугая',
	'144 попугая',
	'145 попугаев',
	'146 попугаев',
	'147 попугаев',
	'148 попугаев',
	'149 попугаев',
	'150 попугаев',
	'151 попугай',
	'152 попугая',
	'153 попугая',
	'154 попугая',
	'155 попугаев',
	'156 попугаев',
	'157 попугаев',
	'158 попугаев',
	'159 попугаев',
	'160 попугаев',
	'161 попугай',
	'162 попугая',
	'163 попугая',
	'164 попугая',
	'165 попугаев',
	'166 попугаев',
	'167 попугаев',
	'168 попугаев',
	'169 попугаев',
	'170 попугаев',
	'171 попугай',
	'172 попугая',
	'173 попугая',
	'174 попугая',
	'175 попугаев',
	'176 попугаев',
	'177 попугаев',
	'178 попугаев',
	'179 попугаев',
	'180 попугаев',
	'181 попугай',
	'182 попугая',
	'183 попугая',
	'184 попугая',
	'185 попугаев',
	'186 попугаев',
	'187 попугаев',
	'188 попугаев',
	'189 попугаев',
	'190 попугаев',
	'191 попугай',
	'192 попугая',
	'193 попугая',
	'194 попугая',
	'195 попугаев',
	'196 попугаев',
	'197 попугаев',
	'198 попугаев',
	'199 попугаев',
	'200 попугаев',
	'201 попугай',
	'202 попугая',
	'203 попугая',
	'204 попугая',
	'205 попугаев',
	'206 попугаев',
	'207 попугаев',
	'208 попугаев',
	'209 попугаев',
	'210 попугаев',
	'211 попугаев',
	'212 попугаев',
	'213 попугаев',
	'214 попугаев',
	'215 попугаев',
	'216 попугаев',
	'217 попугаев',
	'218 попугаев',
	'219 попугаев',
	'220 попугаев',
	'221 попугай',
	'222 попугая',
	'223 попугая',
	'224 попугая',
	'225 попугаев',
	'226 попугаев',
	'227 попугаев',
	'228 попугаев',
	'229 попугаев',
	'230 попугаев',
	'231 попугай',
	'232 попугая',
	'233 попугая',
	'234 попугая',
	'235 попугаев',
	'236 попугаев',
	'237 попугаев',
	'238 попугаев',
	'239 попугаев',
	'240 попугаев',
	'241 попугай',
	'242 попугая',
	'243 попугая',
	'244 попугая',
	'245 попугаев',
	'246 попугаев',
	'247 попугаев',
	'248 попугаев',
	'249 попугаев',
	'250 попугаев',
	'251 попугай',
	'252 попугая',
	'253 попугая',
	'254 попугая',
	'255 попугаев',
	'256 попугаев',
	'257 попугаев',
	'258 попугаев',
	'259 попугаев',
	'260 попугаев',
	'261 попугай',
	'262 попугая',
	'263 попугая',
	'264 попугая',
	'265 попугаев',
	'266 попугаев',
	'267 попугаев',
	'268 попугаев',
	'269 попугаев',
	'270 попугаев',
	'271 попугай',
	'272 попугая',
	'273 попугая',
	'274 попугая',
	'275 попугаев',
	'276 попугаев',
	'277 попугаев',
	'278 попугаев',
	'279 попугаев',
	'280 попугаев',
	'281 попугай',
	'282 попугая',
	'283 попугая',
	'284 попугая',
	'285 попугаев',
	'286 попугаев',
	'287 попугаев',
	'288 попугаев',
	'289 попугаев',
	'290 попугаев',
	'291 попугай',
	'292 попугая',
	'293 попугая',
	'294 попугая',
	'295 попугаев',
	'296 попугаев',
	'297 попугаев',
	'298 попугаев',
	'299 попугаев',
	'300 попугаев',
	'301 попугай',
	'302 попугая',
	'303 попугая',
	'304 попугая',
	'305 попугаев',
	'306 попугаев',
	'307 попугаев',
	'308 попугаев',
	'309 попугаев',
	'310 попугаев',
	'311 попугаев',
	'312 попугаев',
	'313 попугаев',
	'314 попугаев',
	'315 попугаев',
	'316 попугаев',
	'317 попугаев',
	'318 попугаев',
	'319 попугаев',
	'320 попугаев',
	'321 попугай',
	'322 попугая',
	'323 попугая',
	'324 попугая',
	'325 попугаев',
	'326 попугаев',
	'327 попугаев',
	'328 попугаев',
	'329 попугаев',
	'330 попугаев',
	'331 попугай',
	'332 попугая',
	'333 попугая',
	'334 попугая',
	'335 попугаев',
	'336 попугаев',
	'337 попугаев',
	'338 попугаев',
	'339 попугаев',
	'340 попугаев',
	'341 попугай',
	'342 попугая',
	'343 попугая',
	'344 попугая',
	'345 попугаев',
	'346 попугаев',
	'347 попугаев',
	'348 попугаев',
	'349 попугаев',
	'350 попугаев',
	'351 попугай',
	'352 попугая',
	'353 попугая',
	'354 попугая',
	'355 попугаев',
	'356 попугаев',
	'357 попугаев',
	'358 попугаев',
	'359 попугаев',
	'360 попугаев',
	'361 попугай',
	'362 попугая',
	'363 попугая',
	'364 попугая',
	'365 попугаев',
	'366 попугаев',
	'367 попугаев',
	'368 попугаев',
	'369 попугаев',
	'370 попугаев',
	'371 попугай',
	'372 попугая',
	'373 попугая',
	'374 попугая',
	'375 попугаев',
	'376 попугаев',
	'377 попугаев',
	'378 попугаев',
	'379 попугаев',
	'380 попугаев',
	'381 попугай',
	'382 попугая',
	'383 попугая',
	'384 попугая',
	'385 попугаев',
	'386 попугаев',
	'387 попугаев',
	'388 попугаев',
	'389 попугаев',
	'390 попугаев',
	'391 попугай',
	'392 попугая',
	'393 попугая',
	'394 попугая',
	'395 попугаев',
	'396 попугаев',
	'397 попугаев',
	'398 попугаев',
	'399 попугаев',
	'400 попугаев',
	'401 попугай',
	'402 попугая',
	'403 попугая',
	'404 попугая',
	'405 попугаев',
	'406 попугаев',
	'407 попугаев',
	'408 попугаев',
	'409 попугаев',
	'410 попугаев',
	'411 попугаев',
	'412 попугаев',
	'413 попугаев',
	'414 попугаев',
	'415 попугаев',
	'416 попугаев',
	'417 попугаев',
	'418 попугаев',
	'419 попугаев',
	'420 попугаев',
	'421 попугай',
	'422 попугая',
	'423 попугая',
	'424 попугая',
	'425 попугаев',
	'426 попугаев',
	'427 попугаев',
	'428 попугаев',
	'429 попугаев',
	'430 попугаев',
	'431 попугай',
	'432 попугая',
	'433 попугая',
	'434 попугая',
	'435 попугаев',
	'436 попугаев',
	'437 попугаев',
	'438 попугаев',
	'439 попугаев',
	'440 попугаев',
	'441 попугай',
	'442 попугая',
	'443 попугая',
	'444 попугая',
	'445 попугаев',
	'446 попугаев',
	'447 попугаев',
	'448 попугаев',
	'449 попугаев',
	'450 попугаев',
	'451 попугай',
	'452 попугая',
	'453 попугая',
	'454 попугая',
	'455 попугаев',
	'456 попугаев',
	'457 попугаев',
	'458 попугаев',
	'459 попугаев',
	'460 попугаев',
	'461 попугай',
	'462 попугая',
	'463 попугая',
	'464 попугая',
	'465 попугаев',
	'466 попугаев',
	'467 попугаев',
	'468 попугаев',
	'469 попугаев',
	'470 попугаев',
	'471 попугай',
	'472 попугая',
	'473 попугая',
	'474 попугая',
	'475 попугаев',
	'476 попугаев',
	'477 попугаев',
	'478 попугаев',
	'479 попугаев',
	'480 попугаев',
	'481 попугай',
	'482 попугая',
	'483 попугая',
	'484 попугая',
	'485 попугаев',
	'486 попугаев',
	'487 попугаев',
	'488 попугаев',
	'489 попугаев',
	'490 попугаев',
	'491 попугай',
	'492 попугая',
	'493 попугая',
	'494 попугая',
	'495 попугаев',
	'496 попугаев',
	'497 попугаев',
	'498 попугаев',
	'499 попугаев',
	'500 попугаев',
	'501 попугай',
	'502 попугая',
	'503 попугая',
	'504 попугая',
	'505 попугаев',
	'506 попугаев',
	'507 попугаев',
	'508 попугаев',
	'509 попугаев',
	'510 попугаев',
	'511 попугаев',
	'512 попугаев',
	'513 попугаев',
	'514 попугаев',
	'515 попугаев',
	'516 попугаев',
	'517 попугаев',
	'518 попугаев',
	'519 попугаев',
	'520 попугаев',
	'521 попугай',
	'522 попугая',
	'523 попугая',
	'524 попугая',
	'525 попугаев',
	'526 попугаев',
	'527 попугаев',
	'528 попугаев',
	'529 попугаев',
	'530 попугаев',
	'531 попугай',
	'532 попугая',
	'533 попугая',
	'534 попугая',
	'535 попугаев',
	'536 попугаев',
	'537 попугаев',
	'538 попугаев',
	'539 попугаев',
	'540 попугаев',
	'541 попугай',
	'542 попугая',
	'543 попугая',
	'544 попугая',
	'545 попугаев',
	'546 попугаев',
	'547 попугаев',
	'548 попугаев',
	'549 попугаев',
	'550 попугаев',
	'551 попугай',
	'552 попугая',
	'553 попугая',
	'554 попугая',
	'555 попугаев',
	'556 попугаев',
	'557 попугаев',
	'558 попугаев',
	'559 попугаев',
	'560 попугаев',
	'561 попугай',
	'562 попугая',
	'563 попугая',
	'564 попугая',
	'565 попугаев',
	'566 попугаев',
	'567 попугаев',
	'568 попугаев',
	'569 попугаев',
	'570 попугаев',
	'571 попугай',
	'572 попугая',
	'573 попугая',
	'574 попугая',
	'575 попугаев',
	'576 попугаев',
	'577 попугаев',
	'578 попугаев',
	'579 попугаев',
	'580 попугаев',
	'581 попугай',
	'582 попугая',
	'583 попугая',
	'584 попугая',
	'585 попугаев',
	'586 попугаев',
	'587 попугаев',
	'588 попугаев',
	'589 попугаев',
	'590 попугаев',
	'591 попугай',
	'592 попугая',
	'593 попугая',
	'594 попугая',
	'595 попугаев',
	'596 попугаев',
	'597 попугаев',
	'598 попугаев',
	'599 попугаев',
	'600 попугаев',
	'601 попугай',
	'602 попугая',
	'603 попугая',
	'604 попугая',
	'605 попугаев',
	'606 попугаев',
	'607 попугаев',
	'608 попугаев',
	'609 попугаев',
	'610 попугаев',
	'611 попугаев',
	'612 попугаев',
	'613 попугаев',
	'614 попугаев',
	'615 попугаев',
	'616 попугаев',
	'617 попугаев',
	'618 попугаев',
	'619 попугаев',
	'620 попугаев',
	'621 попугай',
	'622 попугая',
	'623 попугая',
	'624 попугая',
	'625 попугаев',
	'626 попугаев',
	'627 попугаев',
	'628 попугаев',
	'629 попугаев',
	'630 попугаев',
	'631 попугай',
	'632 попугая',
	'633 попугая',
	'634 попугая',
	'635 попугаев',
	'636 попугаев',
	'637 попугаев',
	'638 попугаев',
	'639 попугаев',
	'640 попугаев',
	'641 попугай',
	'642 попугая',
	'643 попугая',
	'644 попугая',
	'645 попугаев',
	'646 попугаев',
	'647 попугаев',
	'648 попугаев',
	'649 попугаев',
	'650 попугаев',
	'651 попугай',
	'652 попугая',
	'653 попугая',
	'654 попугая',
	'655 попугаев',
	'656 попугаев',
	'657 попугаев',
	'658 попугаев',
	'659 попугаев',
	'660 попугаев',
	'661 попугай',
	'662 попугая',
	'663 попугая',
	'664 попугая',
	'665 попугаев',
	'666 попугаев',
	'667 попугаев',
	'668 попугаев',
	'669 попугаев',
	'670 попугаев',
	'671 попугай',
	'672 попугая',
	'673 попугая',
	'674 попугая',
	'675 попугаев',
	'676 попугаев',
	'677 попугаев',
	'678 попугаев',
	'679 попугаев',
	'680 попугаев',
	'681 попугай',
	'682 попугая',
	'683 попугая',
	'684 попугая',
	'685 попугаев',
	'686 попугаев',
	'687 попугаев',
	'688 попугаев',
	'689 попугаев',
	'690 попугаев',
	'691 попугай',
	'692 попугая',
	'693 попугая',
	'694 попугая',
	'695 попугаев',
	'696 попугаев',
	'697 попугаев',
	'698 попугаев',
	'699 попугаев',
	'700 попугаев',
	'701 попугай',
	'702 попугая',
	'703 попугая',
	'704 попугая',
	'705 попугаев',
	'706 попугаев',
	'707 попугаев',
	'708 попугаев',
	'709 попугаев',
	'710 попугаев',
	'711 попугаев',
	'712 попугаев',
	'713 попугаев',
	'714 попугаев',
	'715 попугаев',
	'716 попугаев',
	'717 попугаев',
	'718 попугаев',
	'719 попугаев',
	'720 попугаев',
	'721 попугай',
	'722 попугая',
	'723 попугая',
	'724 попугая',
	'725 попугаев',
	'726 попугаев',
	'727 попугаев',
	'728 попугаев',
	'729 попугаев',
	'730 попугаев',
	'731 попугай',
	'732 попугая',
	'733 попугая',
	'734 попугая',
	'735 попугаев',
	'736 попугаев',
	'737 попугаев',
	'738 попугаев',
	'739 попугаев',
	'740 попугаев',
	'741 попугай',
	'742 попугая',
	'743 попугая',
	'744 попугая',
	'745 попугаев',
	'746 попугаев',
	'747 попугаев',
	'748 попугаев',
	'749 попугаев',
	'750 попугаев',
	'751 попугай',
	'752 попугая',
	'753 попугая',
	'754 попугая',
	'755 попугаев',
	'756 попугаев',
	'757 попугаев',
	'758 попугаев',
	'759 попугаев',
	'760 попугаев',
	'761 попугай',
	'762 попугая',
	'763 попугая',
	'764 попугая',
	'765 попугаев',
	'766 попугаев',
	'767 попугаев',
	'768 попугаев',
	'769 попугаев',
	'770 попугаев',
	'771 попугай',
	'772 попугая',
	'773 попугая',
	'774 попугая',
	'775 попугаев',
	'776 попугаев',
	'777 попугаев',
	'778 попугаев',
	'779 попугаев',
	'780 попугаев',
	'781 попугай',
	'782 попугая',
	'783 попугая',
	'784 попугая',
	'785 попугаев',
	'786 попугаев',
	'787 попугаев',
	'788 попугаев',
	'789 попугаев',
	'790 попугаев',
	'791 попугай',
	'792 попугая',
	'793 попугая',
	'794 попугая',
	'795 попугаев',
	'796 попугаев',
	'797 попугаев',
	'798 попугаев',
	'799 попугаев',
	'800 попугаев',
	'801 попугай',
	'802 попугая',
	'803 попугая',
	'804 попугая',
	'805 попугаев',
	'806 попугаев',
	'807 попугаев',
	'808 попугаев',
	'809 попугаев',
	'810 попугаев',
	'811 попугаев',
	'812 попугаев',
	'813 попугаев',
	'814 попугаев',
	'815 попугаев',
	'816 попугаев',
	'817 попугаев',
	'818 попугаев',
	'819 попугаев',
	'820 попугаев',
	'821 попугай',
	'822 попугая',
	'823 попугая',
	'824 попугая',
	'825 попугаев',
	'826 попугаев',
	'827 попугаев',
	'828 попугаев',
	'829 попугаев',
	'830 попугаев',
	'831 попугай',
	'832 попугая',
	'833 попугая',
	'834 попугая',
	'835 попугаев',
	'836 попугаев',
	'837 попугаев',
	'838 попугаев',
	'839 попугаев',
	'840 попугаев',
	'841 попугай',
	'842 попугая',
	'843 попугая',
	'844 попугая',
	'845 попугаев',
	'846 попугаев',
	'847 попугаев',
	'848 попугаев',
	'849 попугаев',
	'850 попугаев',
	'851 попугай',
	'852 попугая',
	'853 попугая',
	'854 попугая',
	'855 попугаев',
	'856 попугаев',
	'857 попугаев',
	'858 попугаев',
	'859 попугаев',
	'860 попугаев',
	'861 попугай',
	'862 попугая',
	'863 попугая',
	'864 попугая',
	'865 попугаев',
	'866 попугаев',
	'867 попугаев',
	'868 попугаев',
	'869 попугаев',
	'870 попугаев',
	'871 попугай',
	'872 попугая',
	'873 попугая',
	'874 попугая',
	'875 попугаев',
	'876 попугаев',
	'877 попугаев',
	'878 попугаев',
	'879 попугаев',
	'880 попугаев',
	'881 попугай',
	'882 попугая',
	'883 попугая',
	'884 попугая',
	'885 попугаев',
	'886 попугаев',
	'887 попугаев',
	'888 попугаев',
	'889 попугаев',
	'890 попугаев',
	'891 попугай',
	'892 попугая',
	'893 попугая',
	'894 попугая',
	'895 попугаев',
	'896 попугаев',
	'897 попугаев',
	'898 попугаев',
	'899 попугаев',
	'900 попугаев',
	'901 попугай',
	'902 попугая',
	'903 попугая',
	'904 попугая',
	'905 попугаев',
	'906 попугаев',
	'907 попугаев',
	'908 попугаев',
	'909 попугаев',
	'910 попугаев',
	'911 попугаев',
	'912 попугаев',
	'913 попугаев',
	'914 попугаев',
	'915 попугаев',
	'916 попугаев',
	'917 попугаев',
	'918 попугаев',
	'919 попугаев',
	'920 попугаев',
	'921 попугай',
	'922 попугая',
	'923 попугая',
	'924 попугая',
	'925 попугаев',
	'926 попугаев',
	'927 попугаев',
	'928 попугаев',
	'929 попугаев',
	'930 попугаев',
	'931 попугай',
	'932 попугая',
	'933 попугая',
	'934 попугая',
	'935 попугаев',
	'936 попугаев',
	'937 попугаев',
	'938 попугаев',
	'939 попугаев',
	'940 попугаев',
	'941 попугай',
	'942 попугая',
	'943 попугая',
	'944 попугая',
	'945 попугаев',
	'946 попугаев',
	'947 попугаев',
	'948 попугаев',
	'949 попугаев',
	'950 попугаев',
	'951 попугай',
	'952 попугая',
	'953 попугая',
	'954 попугая',
	'955 попугаев',
	'956 попугаев',
	'957 попугаев',
	'958 попугаев',
	'959 попугаев',
	'960 попугаев',
	'961 попугай',
	'962 попугая',
	'963 попугая',
	'964 попугая',
	'965 попугаев',
	'966 попугаев',
	'967 попугаев',
	'968 попугаев',
	'969 попугаев',
	'970 попугаев',
	'971 попугай',
	'972 попугая',
	'973 попугая',
	'974 попугая',
	'975 попугаев',
	'976 попугаев',
	'977 попугаев',
	'978 попугаев',
	'979 попугаев',
	'980 попугаев',
	'981 попугай',
	'982 попугая',
	'983 попугая',
	'984 попугая',
	'985 попугаев',
	'986 попугаев',
	'987 попугаев',
	'988 попугаев',
	'989 попугаев',
	'990 попугаев',
	'991 попугай',
	'992 попугая',
	'993 попугая',
	'994 попугая',
	'995 попугаев',
	'996 попугаев',
	'997 попугаев',
	'998 попугаев',
	'999 попугаев',
	'1000 попугаев',
	'1001 попугай',
	'1002 попугая',
	'1003 попугая',
	'1004 попугая',
	'1005 попугаев',
	'1006 попугаев',
	'1007 попугаев',
	'1008 попугаев',
	'1009 попугаев',
	'1010 попугаев',
	'1011 попугаев',
	'1012 попугаев',
	'1013 попугаев',
	'1014 попугаев',
	'1015 попугаев',
	'1016 попугаев',
	'1017 попугаев',
	'1018 попугаев',
	'1019 попугаев',
	'1020 попугаев',
	'1021 попугай',
	'1022 попугая',
	'1023 попугая',
	'1024 попугая',
	'1025 попугаев',
	'1026 попугаев',
	'1027 попугаев',
	'1028 попугаев',
	'1029 попугаев',
	'1030 попугаев',
	'1031 попугай',
	'1032 попугая',
	'1033 попугая',
	'1034 попугая',
	'1035 попугаев',
	'1036 попугаев',
	'1037 попугаев',
	'1038 попугаев',
	'1039 попугаев',
	'1040 попугаев',
	'1041 попугай',
	'1042 попугая',
	'1043 попугая',
	'1044 попугая',
	'1045 попугаев',
	'1046 попугаев',
	'1047 попугаев',
	'1048 попугаев',
	'1049 попугаев',
	'1050 попугаев',
	'1051 попугай',
	'1052 попугая',
	'1053 попугая',
	'1054 попугая',
	'1055 попугаев',
	'1056 попугаев',
	'1057 попугаев',
	'1058 попугаев',
	'1059 попугаев',
	'1060 попугаев',
	'1061 попугай',
	'1062 попугая',
	'1063 попугая',
	'1064 попугая',
	'1065 попугаев',
	'1066 попугаев',
	'1067 попугаев',
	'1068 попугаев',
	'1069 попугаев',
	'1070 попугаев',
	'1071 попугай',
	'1072 попугая',
	'1073 попугая',
	'1074 попугая',
	'1075 попугаев',
	'1076 попугаев',
	'1077 попугаев',
	'1078 попугаев',
	'1079 попугаев',
	'1080 попугаев',
	'1081 попугай',
	'1082 попугая',
	'1083 попугая',
	'1084 попугая',
	'1085 попугаев',
	'1086 попугаев',
	'1087 попугаев',
	'1088 попугаев',
	'1089 попугаев',
	'1090 попугаев',
	'1091 попугай',
	'1092 попугая',
	'1093 попугая',
	'1094 попугая',
	'1095 попугаев',
	'1096 попугаев',
	'1097 попугаев',
	'1098 попугаев',
	'1099 попугаев',
	'1100 попугаев',
	'1101 попугай',
	'1102 попугая',
	'1103 попугая',
	'1104 попугая',
	'1105 попугаев',
	'1106 попугаев',
	'1107 попугаев',
	'1108 попугаев',
	'1109 попугаев',
	'1110 попугаев',
	'1111 попугаев',
	'1112 попугаев',
	'1113 попугаев',
	'1114 попугаев',
	'1115 попугаев',
	'1116 попугаев',
	'1117 попугаев',
	'1118 попугаев',
	'1119 попугаев',
	'1120 попугаев',
	'1121 попугай',
	'1122 попугая',
	'1123 попугая',
	'1124 попугая',
	'1125 попугаев',
	'1126 попугаев',
	'1127 попугаев',
	'1128 попугаев',
	'1129 попугаев',
	'1130 попугаев',
	'1131 попугай',
	'1132 попугая',
	'1133 попугая',
	'1134 попугая',
	'1135 попугаев',
	'1136 попугаев',
	'1137 попугаев',
	'1138 попугаев',
	'1139 попугаев',
	'1140 попугаев',
	'1141 попугай',
	'1142 попугая',
	'1143 попугая',
	'1144 попугая',
	'1145 попугаев',
	'1146 попугаев',
	'1147 попугаев',
	'1148 попугаев',
	'1149 попугаев',
	'1150 попугаев',
	'1151 попугай',
	'1152 попугая',
	'1153 попугая',
	'1154 попугая',
	'1155 попугаев',
	'1156 попугаев',
	'1157 попугаев',
	'1158 попугаев',
	'1159 попугаев',
	'1160 попугаев',
	'1161 попугай',
	'1162 попугая',
	'1163 попугая',
	'1164 попугая',
	'1165 попугаев',
	'1166 попугаев',
	'1167 попугаев',
	'1168 попугаев',
	'1169 попугаев',
	'1170 попугаев',
	'1171 попугай',
	'1172 попугая',
	'1173 попугая',
	'1174 попугая',
	'1175 попугаев',
	'1176 попугаев',
	'1177 попугаев',
	'1178 попугаев',
	'1179 попугаев',
	'1180 попугаев',
	'1181 попугай',
	'1182 попугая',
	'1183 попугая',
	'1184 попугая',
	'1185 попугаев',
	'1186 попугаев',
	'1187 попугаев',
	'1188 попугаев',
	'1189 попугаев',
	'1190 попугаев',
	'1191 попугай',
	'1192 попугая',
	'1193 попугая',
	'1194 попугая',
	'1195 попугаев',
	'1196 попугаев',
	'1197 попугаев',
	'1198 попугаев',
	'1199 попугаев',
	'1200 попугаев'
);

for (0..1200) {
	ok(sprintf("%i %s", $_, numdecl($_, @forms)) eq $results[$_], "Form for $_");
}
